Subject: Re: [PATCH 5/5] remote: announce removal of "branches/" and "remotes/"

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 6 Jan 2025 08:51:10 +0100

On Sat, Jan 04, 2025 at 10:36:10AM -0500, D. Ben Knoble wrote:
> > +As our documentation mentions, these directories are not to be found in modern
> > +repositories at all and most users aren't even aware of these mechanisms. They
> > +have been deprecated for almost 20 years and 14 years respectively, and I am
> > +not aware of any reason why anybody would want to use these mechanisms.
> > +Furthermore, the ".git/branches/" directory is noadays misleadingly named and
> > +may cause confusion as "branches" are almost exclusively used in the context of
> > +references.
> 
> s/noadays/nowadays

Thanks, will fix.

> Is the first-person intended? "I am not aware" reads like editorial that doesn't
> match with the rest of the document (either "we" or technical-passive voice).

Hm. Yes, it was intended initially, mostly because I wanted to stress
that this is *my* finding and may not reflect the whole project's
stance. But while that would've been fine in a commit message, I think
you're right and it's less sensible in a committed document. After all,
the review process should ensure that the project also agrees with my
finding, and at that point it does make sense to say "we".

> (PS hopefully my mail client will get this to the right place)

Seems like it did make it to the right place. There is one weirdness
though: your mail client sets the "Reply-To" header to the message ID of
the cover letter somehow, so when replying I don't send it to you but I
instead send it to [1].

[1]: [email-masked]

Patrick